import { IAnalyticalBackend } from "@gooddata/sdk-backend-spi";
import { IDataSourceType, IDataSourceUpsertRequest, IDataSourceTestConnectionResponse, IDataSourceTestConnectionRequest, IDataSourcePatchRequest } from "@gooddata/sdk-backend-tiger";
import { AbstractAnalyticsTracker, ITrackerSettings } from "./tracker";
export declare function initializeTrackerSettings(settings: ITrackerSettings): void;
/**
 * Gets an instance of tracker to send events to. This returns promise as the tracker may still be loading/initializing.
 */
export declare function getTracker(backend: IAnalyticalBackend): Promise<AbstractAnalyticsTracker>;
export declare function logOpenDataSourcePicker(backend: IAnalyticalBackend): void;
export declare function logOpenDemoDataSourceDialog(backend: IAnalyticalBackend): void;
export declare function logOpenMissingDataSourceDialog(backend: IAnalyticalBackend): void;
export declare function logCloseDataSourcePicker(backend: IAnalyticalBackend): void;
export declare function logDemoDataSourceConnected(backend: IAnalyticalBackend, dataSourceType: IDataSourceType): void;
export declare function logGetHelpRightPanel(backend: IAnalyticalBackend): void;
export declare function logClickDemoDataRightPanel(backend: IAnalyticalBackend): void;
export declare function logMissingDatasourceContent(backend: IAnalyticalBackend, content: string): void;
export declare function logDataSourceSelected(backend: IAnalyticalBackend, dataSourceType: IDataSourceType): void;
export declare function logDataSourceDeleted(backend: IAnalyticalBackend, dataSourceType: IDataSourceType): void;
export declare function logSaveDataSource(backend: IAnalyticalBackend, isSavedSuccess: boolean, datasourceUpsertRequest: IDataSourceUpsertRequest | IDataSourcePatchRequest): void;
export declare function logGitHubServiceGetSampleDataSuccess(backend: IAnalyticalBackend): void;
export declare function logGitHubServiceGetSampleDataFailed(backend: IAnalyticalBackend, errorMessage: string): void;
export declare function logDataSourceTestConnection(backend: IAnalyticalBackend, testConnectionResult: IDataSourceTestConnectionResponse, connectionData: IDataSourceTestConnectionRequest): void;
export declare function logDataSourceCacheLearnMoreClicked(backend: IAnalyticalBackend): void;
